
QGIS Application - Bug report #8077

Heatmap plugin doesn't release file after it's created

2013-06-16 09:41 AM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: Analysis library

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16916

Description

I just used the Heatmap plugin to create a heatmap. Per Process Explorer, QGIS retains a lock on the file even when it's done creating the

TIF.

Expected behavior: All locks are released on created items after they are created or that aren't currently in some kind of edit mode.

History

#1 - 2013-06-16 09:45 AM - Aren Cambre

Turns out that QGIS in fact opened the heatmap as another layer immediately after creating the heatmap. It just took a long time to get it done and I didn't

realize that was in progress.

Still, since QGIS was done writing to the file, the lock should be released so that I may open it in other programs.

#2 - 2014-01-30 11:40 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#3 - 2014-06-29 06:50 AM - Jürgen Fischer

- Category changed from GUI to C++ Plugins

#4 - 2014-06-29 11:27 AM - Jürgen Fischer

- Category changed from C++ Plugins to 114

#5 - 2016-12-20 01:31 AM - Alexander Bruy

- Status changed from Open to Closed

- Operating System deleted (Windows 7 x64)

- Resolution set to fixed/implemented

Should be fixed by recent port to Processing. Please reopen if necessary

#6 - 2017-01-02 01:26 AM - Giovanni Manghi

- Category changed from 114 to Analysis library
